#
# spec file for package perl-CPAN-Audit
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name CPAN-Audit
Name:           perl-CPAN-Audit
Version:        20230309.004
Release:        1%{?dist}
Summary:        JSON Web Token (JWT, JWS, JWE) as defined by RFC7519, RFC7515, RFC7516
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/CPAN-Audit
Source0:        https://cpan.metacpan.org/authors/id/B/BD/BDFOY/CPAN-Audit-20230309.004.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::Simple)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
BuildRequires:	perl(Module::CoreList)
BuildRequires:	perl(Module::CPANfile)
BuildRequires:	perl(CPAN::DistnameInfo)
BuildRequires:	perl(IO::Interactive)
BuildRequires:	perl(Module::Extract::VERSION)
BuildRequires:	perl(Capture::Tiny)
BuildRequires:	perl(JSON)

Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
cpan-audit - Audit CPAN modules

%prep
%setup -q -n CPAN-Audit-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} $RPM_BUILD_ROOT

%files
%doc Changes README.md
%license LICENSE
#%{perl_vendorlib}/Crypt/
#%{_mandir}/man3/Crypt::KeyWrap.3pm.gz
%{_bindir}/cpan-audit
%{_mandir}/man1/cpan-audit.1.gz
%{_mandir}/man3/
%{perl_vendorlib}/CPAN/

%changelog
* Wed Apr  5 2023 Matjaz Godec <matjaz.godec@gmail.com>
- initial spec file for Fedora
  fedora build
